Bug 466882 - Move bash-completion out of profile.d
Move bash-completion out of profile.d
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: PolicyKit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 06:41 EDT by Enrico Scholz
Modified: 2013-03-05 22:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:54:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2008-10-14 06:41:59 EDT
Description of problem:

Please move /etc/profile.d/polkit-bash-completion.sh to /etc/bash_completion.d/ which is the correct place.


Version-Release number of selected component (if applicable):

PolicyKit-0.8-3.fc9.x86_64
Comment 1 David Zeuthen 2008-10-14 09:28:45 EDT
(In reply to comment #0)
> Description of problem:
> 
> Please move /etc/profile.d/polkit-bash-completion.sh to /etc/bash_completion.d/
> which is the correct place.

I don't think /etc/bash_completion.d is the correct place as you allege without any citation. For starters the bash package doesn't own this directory. Second, it's a RH/Fedora-ism - IIRC it's not available on Debian etc. etc.
Comment 2 Enrico Scholz 2008-10-14 10:17:06 EDT
/etc/bash_completion.d is the correct place as all the other bash completion rules are stored there.  They do not belong into the generic profile as they pollute the environment.

I agree that ownership of this dir is broken; 'Requires: bash-completion' is far too heavyweight. Hence, either keep it unowned, or follow git, bzr, PackageKit, ... and own it.

It is not a Fedora/RH-ism but used in Ubuntu, Debian and SuSE also.
Comment 3 Enrico Scholz 2008-10-14 10:20:15 EDT
See bug #456355 for comments about dir ownership.
Comment 4 David Zeuthen 2008-10-14 16:44:10 EDT
I'm still not convinced me that /etc/bash_completion.d is the right place for this. And in the future upstream might want to put completion functions for other shells in that file. WONTFIX.
Comment 5 Enrico Scholz 2008-10-14 17:16:35 EDT
/etc/bash_completion.d *IS* the right place for bash completion rules.  Argument about other shells is bogus as the file ends with '.sh' and will be loaded by 'sh' like shells only.  'complete' is defined for 'bash' only, so it is a bash issue.

The "upstream" part in this context is probably a bad joke as you are the upstream maintainer afais.
Comment 6 David Zeuthen 2008-10-15 15:35:12 EDT
Thank you for your opinion.
Comment 7 Bug Zapper 2009-06-09 22:57:35 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 12:54:52 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.